// ==UserScript==
// @name         ML chapters
// @namespace    https://toxic.run.place
// @version      202407142200
// @description  Поділити кількість розділів на 2
// @author       POCCOMAXA
// @match        https://mangalib.me/*
// @grant        none
// ==/UserScript==

function main() {
  const els = document.querySelectorAll(".media-info-list__title");
  let target = null;

  els.forEach((el) => {
    if (el.textContent.includes("глав")) {
      const nextEl = el.nextElementSibling;
      if (nextEl && nextEl.classList.contains("media-info-list__value")) {
        target = nextEl;
      }
    }
  });

  if (target) {
    const text = target.textContent.trim();
    const num = parseFloat(text);

    if (!isNaN(num)) {
      target.textContent = Math.ceil(num / 2);
    }
  }
}

main();
